
//  File: KifString.java


/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*   . Mar 7, 97:
*     - add method objConst().
*/


package jkp;

import jbf.*;
import java.lang.*;


/**
 * The  class for KIF object constant terms
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */
public class KifObjConst extends KifTerm {
	
	public KifObjConst(String objconst)
	{
		super(objconst);
		setType(KifObj.KIF_OBJCONSTTERM);
	}

	/**
	 * @return the object constant string, the name of represented object.
	 */
	public String objConst() { return termString(); }
}

